EXECUTE BLOCK
RETURNS (
    RRESPOSTA DOM_OBS_BLOB)
AS
DECLARE VARIABLE COD_AND INTEGER;
BEGIN
  RRESPOSTA = 'Inicio';

  FOR SELECT ANDAMENTOS.CODIGO
      FROM ANDAMENTOS
      WHERE ANDAMENTOS.DESCRICAO = 'Obteve Confirmação de Leitura da Citação Eletrônica Autoconfirmada' AND
            (ANDAMENTOS.USUARIO = 'INTERLITIS' OR ANDAMENTOS.USUARIO = 'INTERLITISSRV')
      INTO :COD_AND
  DO
  BEGIN
    DELETE FROM ANDAMENTOS
    WHERE (ANDAMENTOS.CODIGO = :COD_AND);
  END

  FOR SELECT ANDAMENTOS.CODIGO
      FROM ANDAMENTOS
      WHERE ANDAMENTOS.DESCRICAO = 'Obteve Confirmação de Leitura da Intimação Eletrônica Autoconfirmada' AND
            (ANDAMENTOS.USUARIO = 'INTERLITIS' OR ANDAMENTOS.USUARIO = 'INTERLITISSRV')
      INTO :COD_AND
  DO
  BEGIN
    DELETE FROM ANDAMENTOS
    WHERE (ANDAMENTOS.CODIGO = :COD_AND);
  END

  RRESPOSTA = 'Inicio/Fim';
  SUSPEND;
END;